Subject: Re: [PATCH 2/3] mmap(win32): avoid copy-on-write when it is unnecessary

From: Johannes Sixt <[email-masked]>
Date: Wed, 27 Apr 2016 20:51:36 +0200

Am 27.04.2016 um 08:43 schrieb Johannes Schindelin:
> On Tue, 26 Apr 2016, Johannes Sixt wrote:
>> Should we insert a check for MAP_PRIVATE to catch
>> unexpected use-cases (think of the index-helper daemon effort)?
>
> I agree, we should have such a check. The line above the `die("Invalid
> usage ...")` that you can read as first line in above-quoted hunk reads:
>
> 	if (!(flags & MAP_PRIVATE))
>
> So I think we're fine :-)

Oh, well... I thought I had checked the code before I wrote my question, 
but it seems I was blind... ;)

Thanks,
-- Hannes